## helma.scripting.rhino
Class ListViewWrapper

    java.lang.Object
      org.mozilla.javascript.ScriptableObject
          helma.scripting.rhino.ListViewWrapper

All Implemented Interfaces:
  java.io.Serializable, org.mozilla.javascript.ConstProperties, org.mozilla.javascript.debug.DebuggableObject, org.mozilla.javascript.Scriptable, org.mozilla.javascript.Wrapper

    public class ListViewWrapper

extends org.mozilla.javascript.ScriptableObject
implements org.mozilla.javascript.Wrapper, org.mozilla.javascript.Scriptable

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mozilla.javascript.ScriptableObject
`CONST, DONTENUM, EMPTY, PERMANENT, READONLY, UNINITIALIZED_CONST`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Method Summary
`java.lang.String` `getClassName()`
`void` `jsFunction_add(java.lang.Object child)`
`int` `jsFunction_contains(java.lang.Object obj)` Check if node is contained in subnodes
`int` `jsFunction_count()`
`java.lang.Object` `jsFunction_get(int idx)`
`java.lang.Object` `jsFunction_get(java.lang.Object idxObj)`
`java.lang.Object` `jsFunction_getById(java.lang.Object id)`
`java.lang.Object` `jsFunction_getOrderedView(java.lang.String expr)` Retrieve a view having a different order from this Node's subnodelist.
`boolean` `jsFunction_invalidate(java.lang.Object childId)` Invalidate the node itself or a subnode
`org.mozilla.javascript.Scriptable` `jsFunction_list(java.lang.Object startArg, java.lang.Object lengthArg)` Return a JS array of child objects with the given start and length.
`void` `jsFunction_prefetchChildren(java.lang.Object startArg, java.lang.Object lengthArg)` Prefetch child objects from (relational) database.
`boolean` `jsFunction_remove(java.lang.Object arg)` Remove this object from the database.
`boolean` `jsFunction_removeChild(java.lang.Object child)` Remove a child node from this node's collection without deleting it from the database.
`int` `jsFunction_size()`
`int` `jsFunction_update()` This method represents the Java-Script-exposed function for updating Subnode-Collections.
`java.lang.String` `toString()`
`java.lang.Object` `unwrap()`

Methods inherited from class org.mozilla.javascript.ScriptableObject

`associateValue, avoidObjectDetection, callMethod, callMethod, defineClass, defineClass, defineClass, defineConst, defineConstProperty, defineFunctionProperties, defineProperty, defineProperty, defineProperty, defineProperty, delete, delete, deleteProperty, deleteProperty, equivalentValues, get, get, getAllIds, getAssociatedValue, getAttributes, getAttributes, getAttributes, getAttributes, getClassPrototype, getDefaultValue, getDefaultValue, getFunctionPrototype, getGetterOrSetter, getIds, getObjectPrototype, getParentScope, getProperty, getProperty, getPropertyIds, getPrototype, getTopLevelScope, getTopScopeValue, has, has, hasInstance, hasProperty, hasProperty, isConst, isSealed, put, put, putConst, putConstProperty, putProperty, putProperty, redefineProperty, sealObject, setAttributes, setAttributes, setAttributes, setAttributes, setGetterOrSetter, setParentScope, setPrototype`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mozilla.javascript.Scriptable
`delete, delete, get, get, getDefaultValue, getIds, getParentScope, getPrototype, has, has, hasInstance, put, put, setParentScope, setPrototype`

Method Detail

### unwrap

    public java.lang.Object unwrap()

  Specified by:
    `unwrap` in interface `org.mozilla.javascript.Wrapper`

### jsFunction_get

    public java.lang.Object jsFunction_get(java.lang.Object idxObj)

### jsFunction_get

    public java.lang.Object jsFunction_get(int idx)

### jsFunction_getById

    public java.lang.Object jsFunction_getById(java.lang.Object id)

### jsFunction_prefetchChildren

    public void jsFunction_prefetchChildren(java.lang.Object startArg,
                                            java.lang.Object lengthArg)
                                     throws java.lang.Exception

  Prefetch child objects from (relational) database.

  Throws:
    `java.lang.Exception`

### jsFunction_size

    public int jsFunction_size()

### jsFunction_count

    public int jsFunction_count()

### jsFunction_add

    public void jsFunction_add(java.lang.Object child)

### jsFunction_list

    public org.mozilla.javascript.Scriptable jsFunction_list(java.lang.Object startArg,
                                                             java.lang.Object lengthArg)

  Return a JS array of child objects with the given start and length.

  Returns:
    A JavaScript Array containing the specified child objects

### jsFunction_remove

    public boolean jsFunction_remove(java.lang.Object arg)

  Remove this object from the database.

### jsFunction_removeChild

    public boolean jsFunction_removeChild(java.lang.Object child)

  Remove a child node from this node's collection without deleting it from the database.

### jsFunction_invalidate

    public boolean jsFunction_invalidate(java.lang.Object childId)

  Invalidate the node itself or a subnode

### jsFunction_contains

    public int jsFunction_contains(java.lang.Object obj)

  Check if node is contained in subnodes

### jsFunction_update

    public int jsFunction_update()

  This method represents the Java-Script-exposed function for updating Subnode-Collections. The following conditions must be met to make a subnodecollection updateable. .) the collection must be specified with collection.updateable=true .) the id's of this collection must be in ascending order, meaning, that new records do have a higher id than the last record loaded by this collection

### jsFunction_getOrderedView

    public java.lang.Object jsFunction_getOrderedView(java.lang.String expr)

  Retrieve a view having a different order from this Node's subnodelist. The underlying OrderedSubnodeList will keep those views and updates them if the original collection has been updated.

  Parameters:
    `expr` - the order (like sql-order using the properties instead)
  Returns:
    ListViewWrapper holding the information of the ordered view

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getClassName

    public java.lang.String getClassName()

  Specified by:
    `getClassName` in interface `org.mozilla.javascript.Scriptable`
  Specified by:
    `getClassName` in class `org.mozilla.javascript.ScriptableObject`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.